Path

ez components / documentation / api reference / 2008.2 / mvctools


eZ Components 2008.2

MvcTools: ezcMvcRecodeResponseFilter

[ Tutorial ] [ Class tree ] [ Element index ] [ ChangeLog ] [ Credits ]

Class: ezcMvcRecodeResponseFilter

Response filter that converts the encoding of the body. [source]

Implemented Interfaces

Method Summary

public void filterResponse( $response )
This function re-codes the response body from charset $fromEncoding to charset $toEncoding.
public void setOptions( $options )
Should not be called with any options, as this filter doesn't support any.

Methods

filterResponse

void filterResponse( ezcMvcResponse $response )
This function re-codes the response body from charset $fromEncoding to charset $toEncoding.

Parameters

Name Type Description
$response ezcMvcResponse  

setOptions

void setOptions( $options )
Should not be called with any options, as this filter doesn't support any.

Parameters

Name Type Description
$options array  

Throws

ClassDescription
ezcMvcFilterHasNoOptionsException if the $options array is not empty.

Last updated: Mon, 05 Jan 2009